module btn_led_chk(
	input					sys_clk,
	input					sys_rst,
	input					btn1,
	input					btn2,
	input					btn3,
	output	[17:0]	sft_io,
	output	[3:0]		sft_led
);

io_chk inst_io_chk(
	.sys_clk(sys_clk),
	.sys_rst(sys_rst),
	.sft_io(sft_io)
);

wire clk_20mhz;
wire clk_40mhz;
wire clk_60mhz;
wire clkout;

mypll inst_pll(
  .clkin(sys_clk),
  .clkfb(clk_20mhz),
  .pllen(1'b1),
  .resetn(sys_rst),
  .clkout0en(1'b1),
  .clkout1en(1'b1),
  .clkout2en(1'b1),
  .clkout3en(1'b0),
  .clkout0(clk_20mhz),
  .clkout1(clk_40mhz),
  .clkout2(clk_60mhz),
  .clkout3(),
  .lock()
);

fsel_led_chk inst_fsel_led_chk(
	.sys_rst(sys_rst),
	.clk1(clk_20mhz),
	.clk2(clk_40mhz),
	.clk3(clk_60mhz),
	.btn1(btn1),
	.btn2(btn2),
	.btn3(btn3),
	.sft_led(sft_led)
);


endmodule
