module clk_sel(
	input 	clk1,
	input		clk2,
	input		clk3,
	input		btn1,
	input		btn2,
	input		btn3,
	output	clkout
);

reg r_clkout;
reg [2:0] r_clkstate = 3'b001;

always @(btn1,btn2,btn3) begin
	if(!btn1)
		r_clkstate = 3'b001;
	else if(!btn2)
		r_clkstate = 3'b010;
	else if(!btn3)
		r_clkstate = 3'b100;
end

always @(r_clkstate) begin
	case(r_clkstate)
		3'b001: begin
			r_clkout = clk1;
		end
		3'b010: begin
			r_clkout = clk2;
		end
		3'b100: begin
			r_clkout = clk3;
		end
	endcase
end

assign clkout = r_clkout;

endmodule
