module io_chk(
	input					sys_clk,
	input					sys_rst,
	output	[17:0]	sft_io
);

reg[24:0] r_cnt_clk;
reg[17:0] r_sft_io = 18'd1; 

always @(posedge sys_clk or negedge sys_rst) begin
	if(!sys_rst)
		r_cnt_clk <= 25'd0;
	else begin
		if(r_cnt_clk <= 25'd25_000_000)		// 0.5s
			r_cnt_clk <= r_cnt_clk + 1'b1;
		else
			r_cnt_clk <= 25'd0;
	end
end

always @(posedge sys_clk or negedge sys_rst) begin
	if(!sys_rst)
		r_sft_io <= 18'd1;
	else begin
		if(r_cnt_clk == 25'd25_000_000)
			r_sft_io <= {r_sft_io[16:0], r_sft_io[17]};
	end
end

assign sft_io = r_sft_io;

endmodule
