module led_chk(
	input				sys_clk,
	input				sys_rst,
	output	[3:0]	sft_led
);

reg[24:0] r_cnt_clk;
reg[3:0] r_sft_led = 4'd1; 

always @(posedge sys_clk or negedge sys_rst) begin
	if(!sys_rst)
		r_cnt_clk <= 25'd0;
	else begin
		if(r_cnt_clk <= 25'd20_000_000)		// 1s - 20mhz
			r_cnt_clk <= r_cnt_clk + 1'b1;
		else
			r_cnt_clk <= 25'd0;
	end
end

always @(posedge sys_clk or negedge sys_rst) begin
	if(!sys_rst)
		r_sft_led <= 4'd1;
	else begin
		if(r_cnt_clk == 25'd20_000_000)
			r_sft_led <= {r_sft_led[2:0], r_sft_led[3]};
	end
end

assign sft_led = r_sft_led;

endmodule
